<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\DefenceModel as Model;

class DefenceEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //

    public function getZone(): string
    {
        return $this->getTitle();
    } //
    public function getParent(): string
    {
        return $this->parents;
    } //
    public function getChild(): string
    {
        return $this->child;
    } //
    public function getRealAddress(): string
    {
        return $this->real_address;
    } //
} //Class
